Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTFramebufferObject

    java.lang.Object
      org.lwjgl.opengl.EXTFramebufferObject

    public final class EXTFramebufferObject

extends java.lang.Object

Field Summary
`static int` | `GL_COLOR_ATTACHMENT0_EXT` Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static int` | `GL_COLOR_ATTACHMENT1_EXT`
`static int` | `GL_COLOR_ATTACHMENT10_EXT`
`static int` | `GL_COLOR_ATTACHMENT11_EXT`
`static int` | `GL_COLOR_ATTACHMENT12_EXT`
`static int` | `GL_COLOR_ATTACHMENT13_EXT`
`static int` | `GL_COLOR_ATTACHMENT14_EXT`
`static int` | `GL_COLOR_ATTACHMENT15_EXT`
`static int` | `GL_COLOR_ATTACHMENT2_EXT`
`static int` | `GL_COLOR_ATTACHMENT3_EXT`
`static int` | `GL_COLOR_ATTACHMENT4_EXT`
`static int` | `GL_COLOR_ATTACHMENT5_EXT`
`static int` | `GL_COLOR_ATTACHMENT6_EXT`
`static int` | `GL_COLOR_ATTACHMENT7_EXT`
`static int` | `GL_COLOR_ATTACHMENT8_EXT`
`static int` | `GL_COLOR_ATTACHMENT9_EXT`
`static int` | `GL_DEPTH_ATTACHMENT_EXT`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT` Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT`
`static int` | `GL_FRAMEBUFFER_BINDING_EXT` Accepted by GetIntegerv():
`static int` | `GL_FRAMEBUFFER_COMPLETE_EXT` Returned by CheckFramebufferStatusEXT():
`static int` | `GL_FRAMEBUFFER_EXT` Accepted by the <target> parameter of BindFramebufferEXT, CheckFramebufferStatusEXT, FramebufferTexture{1D|2D|3D}EXT, and FramebufferRenderbufferEXT:
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT`
`static int` | `GL_FRAMEBUFFER_UNSUPPORTED_EXT`
`static int` | `GL_INVALID_FRAMEBUFFER_OPERATION_EXT` Returned by GetError():
`static int` | `GL_MAX_COLOR_ATTACHMENTS_EXT`
`static int` | `GL_MAX_RENDERBUFFER_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_ALPHA_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_BINDING_EXT`
`static int` | `GL_RENDERBUFFER_BLUE_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_DEPTH_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_EXT` Accepted by the <target> parameter of BindRenderbufferEXT, RenderbufferStorageEXT, and GetRenderbufferParameterivEXT, and returned by GetFramebufferAttachmentParameterivEXT:
`static int` | `GL_RENDERBUFFER_GREEN_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_HEIGHT_EXT`
`static int` | `GL_RENDERBUFFER_INTERNAL_FORMAT_EXT`
`static int` | `GL_RENDERBUFFER_RED_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_STENCIL_SIZE_EXT`
`static int` | `GL_RENDERBUFFER_WIDTH_EXT` Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static int` | `GL_STENCIL_ATTACHMENT_EXT`
`static int` | `GL_STENCIL_INDEX1_EXT` Accepted by the <internalformat> parameter of RenderbufferStorageEXT:
`static int` | `GL_STENCIL_INDEX16_EXT`
`static int` | `GL_STENCIL_INDEX4_EXT`
`static int` | `GL_STENCIL_INDEX8_EXT`

Method Summary
`static void` | `glBindFramebufferEXT(int target, int framebuffer)`
`static void` | `glBindRenderbufferEXT(int target, int renderbuffer)`
`static int` | `glCheckFramebufferStatusEXT(int target)`
`static void` | `glDeleteFramebuffersEXT(java.nio.IntBuffer framebuffers)`
`static void` | `glDeleteRenderbuffersEXT(java.nio.IntBuffer renderbuffers)`
`static void` | `glFramebufferRenderbufferEXT(int target, int attachment, int renderbuffertarget, int renderbuffer)`
`static void` | `glFramebufferTexture1DEXT(int target, int attachment, int textarget, int texture, int level)`
`static void` | `glFramebufferTexture2DEXT(int target, int attachment, int textarget, int texture, int level)`
`static void` | `glFramebufferTexture3DEXT(int target, int attachment, int textarget, int texture, int level, int zoffset)`
`static void` | `glGenerateMipmapEXT(int target)`
`static void` | `glGenFramebuffersEXT(java.nio.IntBuffer framebuffers)`
`static void` | `glGenRenderbuffersEXT(java.nio.IntBuffer renderbuffers)`
`static void` | `glGetFramebufferAttachmentParameterEXT(int target, int attachment, int pname, java.nio.IntBuffer params)`
`static void` | `glGetRenderbufferParameterEXT(int target, int pname, java.nio.IntBuffer params)`
`static boolean` | `glIsFramebufferEXT(int framebuffer)`
`static boolean` | `glIsRenderbufferEXT(int renderbuffer)`
`static void` | `glRenderbufferStorageEXT(int target, int internalformat, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FRAMEBUFFER_EXT

    public static final int GL_FRAMEBUFFER_EXT

  Accepted by the <target> parameter of BindFramebufferEXT, CheckFramebufferStatusEXT, FramebufferTexture{1D|2D|3D}EXT, and FramebufferRenderbufferEXT:

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_EXT

    public static final int GL_RENDERBUFFER_EXT

  Accepted by the <target> parameter of BindRenderbufferEXT, RenderbufferStorageEXT, and GetRenderbufferParameterivEXT, and returned by GetFramebufferAttachmentParameterivEXT:

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX1_EXT

    public static final int GL_STENCIL_INDEX1_EXT

  Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX4_EXT

    public static final int GL_STENCIL_INDEX4_EXT

See Also:
  Constant Field Values

### GL_STENCIL_INDEX8_EXT

    public static final int GL_STENCIL_INDEX8_EXT

See Also:
  Constant Field Values

### GL_STENCIL_INDEX16_EXT

    public static final int GL_STENCIL_INDEX16_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_WIDTH_EXT

    public static final int GL_RENDERBUFFER_WIDTH_EXT

  Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_HEIGHT_EXT

    public static final int GL_RENDERBUFFER_HEIGHT_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT_EXT

    public static final int GL_RENDERBUFFER_INTERNAL_FORMAT_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_RED_SIZE_EXT

    public static final int GL_RENDERBUFFER_RED_SIZE_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE_EXT

    public static final int GL_RENDERBUFFER_GREEN_SIZE_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE_EXT

    public static final int GL_RENDERBUFFER_BLUE_SIZE_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE_EXT

    public static final int GL_RENDERBUFFER_ALPHA_SIZE_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE_EXT

    public static final int GL_RENDERBUFFER_DEPTH_SIZE_EXT

See Also:
  Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE_EXT

    public static final int GL_RENDERBUFFER_STENCIL_SIZE_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT

  Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT0_EXT

    public static final int GL_COLOR_ATTACHMENT0_EXT

  Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT1_EXT

    public static final int GL_COLOR_ATTACHMENT1_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT2_EXT

    public static final int GL_COLOR_ATTACHMENT2_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT3_EXT

    public static final int GL_COLOR_ATTACHMENT3_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT4_EXT

    public static final int GL_COLOR_ATTACHMENT4_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT5_EXT

    public static final int GL_COLOR_ATTACHMENT5_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT6_EXT

    public static final int GL_COLOR_ATTACHMENT6_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT7_EXT

    public static final int GL_COLOR_ATTACHMENT7_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT8_EXT

    public static final int GL_COLOR_ATTACHMENT8_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT9_EXT

    public static final int GL_COLOR_ATTACHMENT9_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT10_EXT

    public static final int GL_COLOR_ATTACHMENT10_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT11_EXT

    public static final int GL_COLOR_ATTACHMENT11_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT12_EXT

    public static final int GL_COLOR_ATTACHMENT12_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT13_EXT

    public static final int GL_COLOR_ATTACHMENT13_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT14_EXT

    public static final int GL_COLOR_ATTACHMENT14_EXT

See Also:
  Constant Field Values

### GL_COLOR_ATTACHMENT15_EXT

    public static final int GL_COLOR_ATTACHMENT15_EXT

See Also:
  Constant Field Values

### GL_DEPTH_ATTACHMENT_EXT

    public static final int GL_DEPTH_ATTACHMENT_EXT

See Also:
  Constant Field Values

### GL_STENCIL_ATTACHMENT_EXT

    public static final int GL_STENCIL_ATTACHMENT_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_COMPLETE_EXT

    public static final int GL_FRAMEBUFFER_COMPLETE_EXT

  Returned by CheckFramebufferStatusEXT():

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED_EXT

    public static final int GL_FRAMEBUFFER_UNSUPPORTED_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_BINDING_EXT

    public static final int GL_FRAMEBUFFER_BINDING_EXT

  Accepted by GetIntegerv():

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_BINDING_EXT

    public static final int GL_RENDERBUFFER_BINDING_EXT

See Also:
  Constant Field Values

### GL_MAX_COLOR_ATTACHMENTS_EXT

    public static final int GL_MAX_COLOR_ATTACHMENTS_EXT

See Also:
  Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE_EXT

    public static final int GL_MAX_RENDERBUFFER_SIZE_EXT

See Also:
  Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION_EXT

    public static final int GL_INVALID_FRAMEBUFFER_OPERATION_EXT

  Returned by GetError():

  See Also:
    Constant Field Values

Method Detail

### glIsRenderbufferEXT

    public static boolean glIsRenderbufferEXT(int renderbuffer)

### glBindRenderbufferEXT

    public static void glBindRenderbufferEXT(int target,
                                             int renderbuffer)

### glDeleteRenderbuffersEXT

    public static void glDeleteRenderbuffersEXT(java.nio.IntBuffer renderbuffers)

### glGenRenderbuffersEXT

    public static void glGenRenderbuffersEXT(java.nio.IntBuffer renderbuffers)

### glRenderbufferStorageEXT

    public static void glRenderbufferStorageEXT(int target,
                                                int internalformat,
                                                int width,
                                                int height)

### glGetRenderbufferParameterEXT

    public static void glGetRenderbufferParameterEXT(int target,
                                                     int pname,
                                                     java.nio.IntBuffer params)

### glIsFramebufferEXT

    public static boolean glIsFramebufferEXT(int framebuffer)

### glBindFramebufferEXT

    public static void glBindFramebufferEXT(int target,
                                            int framebuffer)

### glDeleteFramebuffersEXT

    public static void glDeleteFramebuffersEXT(java.nio.IntBuffer framebuffers)

### glGenFramebuffersEXT

    public static void glGenFramebuffersEXT(java.nio.IntBuffer framebuffers)

### glCheckFramebufferStatusEXT

    public static int glCheckFramebufferStatusEXT(int target)

### glFramebufferTexture1DEXT

    public static void glFramebufferTexture1DEXT(int target,
                                                 int attachment,
                                                 int textarget,
                                                 int texture,
                                                 int level)

### glFramebufferTexture2DEXT

    public static void glFramebufferTexture2DEXT(int target,
                                                 int attachment,
                                                 int textarget,
                                                 int texture,
                                                 int level)

### glFramebufferTexture3DEXT

    public static void glFramebufferTexture3DEXT(int target,
                                                 int attachment,
                                                 int textarget,
                                                 int texture,
                                                 int level,
                                                 int zoffset)

### glFramebufferRenderbufferEXT

    public static void glFramebufferRenderbufferEXT(int target,
                                                    int attachment,
                                                    int renderbuffertarget,
                                                    int renderbuffer)

### glGetFramebufferAttachmentParameterEXT

    public static void glGetFramebufferAttachmentParameterEXT(int target,
                                                              int attachment,
                                                              int pname,
                                                              java.nio.IntBuffer params)

### glGenerateMipmapEXT

    public static void glGenerateMipmapEXT(int target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.